Bug 1520595 - [abrt] gns3-server: module(): web_server.py:47:<module>:RuntimeError: aiohttp 2.2 is required to run the GNS3 server
Summary: [abrt] gns3-server: module(): web_server.py:47:<module>:RuntimeError: aiohttp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gns3-server
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Othman Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:46968c1e22c85b187aac2746e27...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-04 19:42 UTC by Tony
Modified: 2018-01-16 17:08 UTC (History)
1 user (show)

Fixed In Version: gns3-server-2.1.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-16 17:08:55 UTC


Attachments (Terms of Use)
File: backtrace (8.88 KB, text/plain)
2017-12-04 19:42 UTC, Tony
no flags Details
File: cgroup (289 bytes, text/plain)
2017-12-04 19:42 UTC, Tony
no flags Details
File: cpuinfo (1.36 KB, text/plain)
2017-12-04 19:42 UTC, Tony
no flags Details
File: environ (1.48 KB, text/plain)
2017-12-04 19:42 UTC, Tony
no flags Details
File: mountinfo (4.11 KB, text/plain)
2017-12-04 19:42 UTC, Tony
no flags Details
File: namespaces (129 bytes, text/plain)
2017-12-04 19:42 UTC, Tony
no flags Details
File: open_fds (240 bytes, text/plain)
2017-12-04 19:42 UTC, Tony
no flags Details

Description Tony 2017-12-04 19:42:32 UTC
Description of problem:
Attempted to start GNS3

Version-Release number of selected component:
gns3-server-2.1.0-0.rc3.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/gns3server --local --log=/home/tony/.config/GNS3/gns3_server.log --pid=/home/tony/.config/GNS3/gns3_server.pid
crash_function: module
exception_type: RuntimeError
executable:     /usr/bin/gns3server
kernel:         4.13.16-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
#1 <module> in /usr/lib/python3.6/site-packages/gns3server/web/web_server.py:47
#2 <module> in /usr/lib/python3.6/site-packages/gns3server/run.py:31
#3 main in /usr/lib/python3.6/site-packages/gns3server/main.py:81
#4 <module> in /usr/bin/gns3server:11

Comment 1 Tony 2017-12-04 19:42:36 UTC
Created attachment 1362797 [details]
File: backtrace

Comment 2 Tony 2017-12-04 19:42:37 UTC
Created attachment 1362798 [details]
File: cgroup

Comment 3 Tony 2017-12-04 19:42:38 UTC
Created attachment 1362799 [details]
File: cpuinfo

Comment 4 Tony 2017-12-04 19:42:38 UTC
Created attachment 1362800 [details]
File: environ

Comment 5 Tony 2017-12-04 19:42:39 UTC
Created attachment 1362801 [details]
File: mountinfo

Comment 6 Tony 2017-12-04 19:42:40 UTC
Created attachment 1362802 [details]
File: namespaces

Comment 7 Tony 2017-12-04 19:42:41 UTC
Created attachment 1362803 [details]
File: open_fds

Comment 8 Fedora Update System 2017-12-30 21:52:40 UTC
gns3-server-2.1.1-1.fc27 gns3-gui-2.1.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c330d20c74

Comment 9 Fedora Update System 2017-12-31 19:32:44 UTC
gns3-gui-2.1.1-1.fc27, gns3-server-2.1.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c330d20c74

Comment 10 Fedora Update System 2018-01-16 17:08:55 UTC
gns3-gui-2.1.1-1.fc27, gns3-server-2.1.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.